<div class="modal">
  <button type="button" class="close" (click)="closeModal()">
    <span aria-hidden="true">&times;</span>
  </button>
  <div class="all-in-one-table">
    <elastic-page-header
      [height]="'100px'"
      background="url(assets/img/demo/headers/pattern-3.png)"
      [reverse]="true"
    >
    </elastic-page-header>
  </div>
  <h1>Estado de Usuario</h1>
  <div class="scroll">
    <mat-form-field class="example-full-width">
      <mat-label>Nombre</mat-label>
      <input matInput value={{modalUser.name}} disabled="true" />
    </mat-form-field>
    <mat-form-field class="example-full-width">
      <mat-label>Apellido</mat-label>
      <input matInput value={{lastname}} disabled="true" />
    </mat-form-field>
    <mat-form-field class="example-full-width">
      <mat-label>Cedula</mat-label>
      <input matInput value={{modalUser.idNumber}} disabled="true" />
    </mat-form-field>
    <mat-form-field class="example-full-width">
      <mat-label>Fecha de Nacimiento</mat-label>
      <input matInput value={{modalUser.birthdate}} disabled="true" />
    </mat-form-field>
    <mat-form-field class="example-full-width">
      <mat-label>Genero</mat-label>
      <input matInput value={{modalUser.gender}} disabled="true" />
    </mat-form-field>
    <mat-form-field class="example-full-width">
      <mat-label>Correo electronico</mat-label>
      <input matInput value={{modalUser.email}} disabled="true" />
    </mat-form-field>

    <mat-form-field class="example-full-width">
      <mat-label>Foto  documento de identidad</mat-label>
      <input
        matInput
        value="foto de perfil"
        disabled="true"
        style="display: none"
      />
      <img
        src={{modalUser.documents}}
        class="img"
      />
    </mat-form-field>

    <mat-form-field class="example-full-width ">
      <mat-label class="colorState">Estado</mat-label>
      <input matInput value={{slide}} disabled="true" class="inputWidth"/>
      <mat-slide-toggle (click)="slideDecision()"*ngIf="slide=='Activo'; else slideInactive" checked=true ></mat-slide-toggle>
      <ng-template #slideInactive>
        <mat-slide-toggle (click)="slideDecision()" ></mat-slide-toggle>
      </ng-template>
    </mat-form-field>

    <section class="butt">
      <div class="example-button-row">
        <button mat-raised-button color="primary" (click)="closeModal()">cancelar</button>
        <button mat-raised-button color="primary" (click)="saveModal()">guardar</button>
      </div>
    </section>
  </div>
</div>
